Bug 611061 - Review Request: perl-Data-Stream-Bulk - N at a time iteration API
Review Request: perl-Data-Stream-Bulk - N at a time iteration API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Data-Stre...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-03 07:21 EDT by Iain Arnell
Modified: 2010-07-26 22:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Data-Stream-Bulk-0.07-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 22:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
emmanuel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-07-03 07:21:20 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Data-Stream-Bulk.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Data-Stream-Bulk-0.07-1.fc14.src.rpm

Description:
This module tries to find middle ground between one at a time and all at
once processing of data sets.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2291943

*rt-0.10_01
Comment 1 Emmanuel Seyman 2010-07-14 08:20:29 EDT
Taking.
Comment 2 Emmanuel Seyman 2010-07-14 09:02:50 EDT
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2318580

 [x] Rpmlint output: 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
ad2025b37de818309c99316b45d79356  Data-Stream-Bulk-0.07.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide-x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: rawhide-x86_64
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=5, Tests=182,  2 wallclock secs ( 0.05 usr  0.01 sys +  1.20 cusr  0.08 csys =  1.34 CPU)
Result: PASS
Comment 3 Iain Arnell 2010-07-14 23:06:20 EDT
New Package CVS Request
=======================
Package Name: perl-Data-Stream-Bulk
Short Description: N at a time iteration API
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2010-07-15 01:29:37 EDT
CVS done (by process-cvs-requests.py).
Comment 5 Fedora Update System 2010-07-15 10:55:49 EDT
perl-Data-Stream-Bulk-0.07-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Data-Stream-Bulk-0.07-1.fc13
Comment 6 Fedora Update System 2010-07-15 10:55:55 EDT
perl-Data-Stream-Bulk-0.07-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Data-Stream-Bulk-0.07-1.fc12
Comment 7 Iain Arnell 2010-07-15 10:57:14 EDT
Thanks for the review, Emmanuel.
Comment 8 Fedora Update System 2010-07-15 16:59:59 EDT
perl-Data-Stream-Bulk-0.07-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-Stream-Bulk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Data-Stream-Bulk-0.07-1.fc12
Comment 9 Fedora Update System 2010-07-15 17:06:43 EDT
perl-Data-Stream-Bulk-0.07-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-Stream-Bulk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Data-Stream-Bulk-0.07-1.fc13
Comment 10 Fedora Update System 2010-07-26 22:28:12 EDT
perl-Data-Stream-Bulk-0.07-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-07-26 22:51:16 EDT
perl-Data-Stream-Bulk-0.07-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.